<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="480dp"
        android:layout_gravity="bottom"
        android:background="@drawable/background_shape_white_radius_12_top_only">

        <ImageView
            android:id="@+id/closeIv"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:padding="16dp"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/icon_close" />

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:gravity="center"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/closeIv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/closeIv"
            tools:text="其他2款游戏" />

        <TextView
            android:id="@+id/subtitleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="16dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:lines="1"
            android:textColor="@color/text_theme"
            android:textSize="@dimen/secondary_size"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/titleTv"
            app:layout_constraintEnd_toStartOf="@+id/closeIv"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@+id/titleTv"
            app:layout_constraintTop_toTopOf="@+id/titleTv"
            tools:text="使用教程使用教程使用教程使用教程使用教程使用教程使用教程使用教程"
            tools:visibility="visible" />

        <View
            android:id="@+id/divider"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:background="@color/ui_divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/closeIv" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:overScrollMode="never"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/divider" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>
